/*-------------- media section ---------------*/

@media screen and (max-width:991px) and (min-width: 577px) {
  .woocommerce div.product div.images .flex-control-thumbs{ margin: 10px 0 0 0; }
  .contact-box .wpcf7 input[type="text"], .contact-box .wpcf7 input[type="email"], .contact-box .wpcf7 textarea{ width: 100% !important; }
  #sidebar aside{ margin-bottom: 11%; }
}

@media screen and (max-width: 1250px){
  .headerbar, .side-navigation, .side-navigation ul ul li, .current_page_item{ display: block; }
  .headerbar:focus,.hamburger:focus{ outline: none; }
  .hamburger i:before { line-height: 0; text-align: left; color: #000000; }
  .main-header .side-navigation { display: none }
  .side-navigation,.side-navigation li { padding: 0; }
  .side-navigation ul ul li a{ border: 0; }
  .side-navigation ul li ul, .side-navigation ul li ul ul { display: none; }
  .side-navigation ul ul,.side-navigation ul ul li { background: var(--transparent) !important; }
  .side-navigation ul ul { position: static; width: 100%; box-shadow: none; }
  .side-navigation ul ul li{ padding-left: 15px; }
  .side-navigation ul.sub-menu li a:before{ content: none; }
  .side-navigation ul>li.menu-item-has-children>a:after{ margin-top: 0; }
	iframe { height: auto; }
}


@media screen and (min-width:1510px) and (max-width: 1800px) {
  .slider-wrapper .slider-inner-wrapper img{
    width: 100% !important;
  }
}

@media screen and (min-width:1260px) and (max-width:1500px){
  .os-headings h2:after, .op-headings h2:after, .og-headings h2:after, .ot-headings h2:after, .faq-heading h2:after, .blog-heading h2:after, .ts-headings h2:after { margin: 10px auto 15px; }
  .os-headings p, .op-headings p, .og-headings p, .ot-headings p, .faq-heading p, .blog-heading p, .ts-headings p { max-width: 70%; }

  /* Image With Text */
  img.left-img,img.right-img { display: none; }
  .iwt-text h1 { max-width: 100%; }
  .iwt-text p { max-width: 100%; }

  /* Our Specialities */
  .os-box { grid-gap: 20px; }
  .os-text p { font-size: 14px; text-align: justify; }

  /* Approch */
  img.app-top-img { width: 100%; max-width: 15%; }
  .app-heading h5 { padding: 20px 0 30px; }
  .app-steps-wrap { gap: 20px; }
  .app-step-img { width: 15%; }
  .app-steps ol li { margin-bottom: 25px; }
  img.app-dot-img { display: none; }
  .app-step-text p { font-size: 14px; max-width: 90%; }

  /* Service */
  section#services { padding: 50px 0; }
  .service-wrpper { grid-template-columns: 1fr; grid-gap: 15px; }
  .service-main { grid-gap: 20px; }

  /* Our Company */
  .oc-img { grid-gap: 10px; }
  .oc-left { padding-left: 40px; }

  /* Our Product */
  section#our-product { padding: 50px 0 50px; }

  /* Collection Banner */
  .cb-left-text p { font-size: 14px; line-height: 30px; text-align: justify; }

  /* Special Offers */
  .so-title { padding: 20px 0 25px; }
  .so-product { padding: 15px 20px; }

  /* Faq */
  img.faq-p-img { top: 0rem; }

  /* Testimonial */
  .testi-content-head h4 { font-size: 40px; }
  .testi-content-head { top: -30px; }

}

@media screen and (min-width:1000px) and (max-width:1250px) {
  section { background-size: cover; background-repeat: no-repeat; padding: 30px 0; }
  .os-headings h2, .op-headings h2, .og-headings h2, .ot-headings h2, .faq-heading h2, .blog-heading h2, .ts-headings h2 { font-size: 36px; line-height: 40px; padding:0  }
  .os-headings h2:after, .op-headings h2:after, .og-headings h2:after, .ot-headings h2:after, .faq-heading h2:after, .blog-heading h2:after, .ts-headings h2:after { height: 2px; margin: 15px auto; }
  .os-headings p, .op-headings p, .og-headings p, .ot-headings p, .faq-heading p, .blog-heading p, .ts-headings p { font-size: 14px; line-height: 20px; width: 100%; max-width: 80%; }
  .os-box,.op-box,.gallery-wrap,div#accordionExample { padding-top: 40px; }

  /* Image with Text */
  img.left-img,img.right-img { display: none; }
  .iwt-text h1 { font-size: 36px; line-height: 46px; max-width: 100%; }
  .iwt-text p { font-size: 14px; line-height: 22px; max-width: 100%; }
  .iwt-text a { font-size: 16px; line-height: 22px; width: 200px; height: 50px; }
  .iwt-left-img { margin-left: 30px; }

  /* Our Specialities */
  .os-box{ display: block !important; }
  h6.os-title a { font-size: 20px; }
  .os-text p { font-size: 14px; line-height: 20px; text-align: justify; }

  /* Approch */
  .approach-wrapper { padding: 30px 0; }
  .app-top-img,.app-dot-img { display: none; }
  .app-heading h5 { font-size: 36px; padding: 20px 0 30px; }
  .app-step-img { width: 30%; }
  .app-steps-wrap { gap: 20px; }
  .app-step-text p { font-size: 14px; text-align: justify; max-width: 90%; }
  .app-steps ol li { margin-bottom: 25px; }
  .approach-text { padding-left: 25px; }

  /* Services */
  .service-main { grid-gap: 20px; }
  .service-wrpper { grid-template-columns: 1fr; }
  .service-img { text-align: center; }
  .service-text h3 { padding-bottom: 10px; text-align: center; }
  .service-text p { text-align: center; }
  section#services { padding: 35px 0; }

  /* Our company */
  img.oc-img2 { display: none; }
  .oc-img img { height: 100%; object-fit: cover; border-radius: 10px; }
  .oc-img { grid-gap: 10px; }
  .oc-left-text { padding: 10px; }
  .oc-left { padding-left: 30px; }
  .company-text h2 { font-size: 34px; line-height: 40px; padding: 10px 0 0; }
  .company-text h2:after { max-width: 200px; margin: 15px 0 20px; }
  .company-text p { font-size: 14px; line-height: 26px; text-align: justify; }

  /* Our Product */
  section#our-product { padding: 30px 0; }
  .op-wrap { padding: 0 5px; }
  .op-title { font-size: 20px; line-height: 30px; }

  /* Collection Banner */
  .cb-pattern-img { display: none; }
  .cb-left-text h2 { font-size: 32px; padding: 0; }
  .cb-left-text p { font-size: 14px; line-height: 26px; text-align: justify; padding: 20px 0 30px; max-width: 95%; }

  /* Team */
  .team-wrap { margin-top: 30px; }
  .team-wrap { margin-top: 30px; padding: 35px 40px; }

  /* Special Offer */
  .so-product { padding: 10px 20px; }
  .so-title { font-size: 28px; padding: 15px 0 20px; }
  .product-tags a { font-size: 22px; }
  .so-prize bdi { font-size: 21px; }

  /* FAQ */
  div#accordionExample { grid-gap: 20px; }
  .faq-p-img { display: none; }
  button.accordion-button { padding: 0.5rem 0.8rem; font-size: 16px; }
  .panel-body p { font-size: 14px; text-align: justify; }

  /* Testimonial */
  .ts-headings { margin-bottom: 5rem; }
  .testi-content-head { top: 0px; left: 35%; transform: translateX(-35%); width: 30%; }
  .testi-content-head h4 { font-size: 34px; line-height: 42px; }
  .testi-content-head img { top: -40px; left: -110px; max-width: 30%; }

  /* Blog */
  .blog-information { padding: 15px 10px; }
  .blog-title a { font-size: 18px; }
  .blog-img-down { padding: 10px 0; }
  .blog-text { padding-top: 10px; }
  .blog-text p { font-size: 14px; line-height: 26px; text-align: justify; width: 93%; }
  a.blog-button { right: 100px; }

}

@media screen and (min-width: 660px) and (max-width:990px){
  section { padding: 30px 0; }
  .os-headings h2, .op-headings h2, .og-headings h2, .ot-headings h2, .faq-heading h2, .blog-heading h2, .ts-headings h2 { font-size: 34px; line-height: 40px; padding: 0 }
  .os-headings h2:after, .op-headings h2:after, .og-headings h2:after, .ot-headings h2:after, .faq-heading h2:after, .blog-heading h2:after, .ts-headings h2:after { height: 2px; margin: 10px auto; }
  .os-headings img,.op-headings img,.og-headings img,.ot-headings img,.faq-heading img,.ts-headings img,.blog-heading img { display: none; }
  .os-headings p, .op-headings p, .og-headings p, .ot-headings p, .faq-heading p, .blog-heading p, .ts-headings p { font-size: 14px; line-height: 24px; width: 100%; max-width: 100%; text-align: justify; }
  .os-box,.op-box { padding-top: 25px; }

  /* image with Banner */
  img.left-img,img.right-img { display: none; }
  .iwt-text { width: 100%; text-align: center; margin-bottom: 20px; }
  .iwt-text h1 { font-size: 44px; width: 80%; line-height: 50px; letter-spacing: 0; margin: 0 auto; }
  .iwt-text p { font-size: 14px; line-height: 26px; padding: 15px 0 20px; text-align: center; margin: 0; margin-bottom: 0; max-width: 100%; }
  .iwt-text a { font-size: 14px; width: 170px; height: 45px; margin: 0 auto; }
  .iwt-left-img { margin-left: 0; }

  /* Our Specialities */
  .os-box { display: block !important; }

  /* Approch */
  .app-top-img,.app-dot-img { display: none; }
  .approach-text { padding: 30px; }
  .app-heading h5 { font-size: 34px; padding: 25px 0 35px; }
  .app-step-text p { max-width: 90%; }
  .app-steps ol li { margin-bottom: 35px; }

  /* Services */
  section#services { padding: 40px 0; }
  .service-main { grid-template-columns: 1fr 1fr; grid-gap: 30px; }

  /* Our Company */
  img.oc-img1,img.oc-img2{ display: none; }
  .oc-img { grid-gap: 15px; }
  .oc-left { padding: 30px 0 0; }
  .company-text h2 { font-size: 32px; line-height: 20px; }
  .company-text h2:after { margin: 25px 0; }

  /* Our product */
  section#our-product { padding: 50px 0 30px; }

  /* Collection Banner */
  img.cb-pattern-img { display: none; }
  .cb-left-text h2 { text-align: center; padding: 0; }
  .cb-left-text p { font-size: 14px; line-height: 30px; text-align: center; padding: 20px 0 30px; max-width: 100%; }
  .cb-left-text a { font-size: 14px; max-width: 170px; height: 45px; margin: 0 auto 30px; }

  /* Our Gallery */
  .gallery-wrap { padding-top: 30px; grid-gap: 15px; }

  /* single Product */
  .sp-wrapper .container { max-width: 720px; }
  .sp-text { padding: 30px 0 0; }

  /* Our Team */
  .team-wrap { margin-top: 30px; padding: 30px 15px 20px; }

  /* Special Offer */
  .so-in-wrapper { grid-gap: 15px; }
  .so-product { grid-template-columns: 1fr; padding: 20px 15px; }
  p.so-fd { text-align: center; }
  .so-title { font-size: 32px; line-height: 35px; text-align: center; padding: 20px 0; }
  .product-tags { text-align: center; }
  .so-prize { padding: 10px 0 20px; text-align: center; }
  .so-text .buy-now { margin: 0 auto; }

  /* FAQ */
  img.faq-p-img { display: none; }
  div#accordionExample { display: grid; grid-template-columns: 1fr; grid-gap: 20px; padding-top: 30px; }
  button.accordion-button { padding: 1rem; font-size: 16px; }
  button.accordion-button:after { font-size: 16px; width: 30px; height: 30px; }
  .panel-body p { font-size: 14px; line-height: 24px; padding: 1rem 15px; }

  /* Testimonial */
  .ts-headings p { text-align: center; }
  .ts-headings { margin-bottom: 4rem; }
  .testi-content-head h4 { font-family: Wix Madefor Display; font-weight: 800; font-size: 24px; line-height: 30px; }
  .testi-content-head p { font-size: 15px; }
  .testi-content-head { position: absolute; text-align: justify; top: -75px; left: 80%; transform: translateX(-80%); width: 55%; }
  .testi-content-head img { position: absolute; top: 0px; left: -120px; opacity: 0.3; z-index: -1; width: 25%; }
  .testi-card:nth-child(1) { height: 100%; width: 100%; }
  .testi-wrap{ width: 100%; margin: 40px auto 0; }
  .testi-text p { font-size: 14px; line-height: 22px; margin: 0; }
  .testi-content { padding: 10px 31px; }
  img.testi-pattern-img { display: none; }

  /* Blog */
  .blog-content { padding-top: 30px; }
  .blog-information { padding: 10px; }
  .blog-title a { font-size: 14px; line-height: 20px; }
  .blog-img-down { padding: 10px 0; }
  span.blog-name a, span.entry-date { font-size: 12px; line-height: 16px;}
  .blog-text { display: block; }
  .blog-text p { font-size: 12px; line-height: 20px; width: 100%; margin: 0; }
  a.blog-button { font-size: 12px; line-height: 26px; position: relative; bottom: 0; right: 00px; }
  a.blog-all { font-size: 14px; line-height: 24px; width: 170px; height: 45px; }
  .foot_icon_img { display: none; }

}

@media screen and (max-width:650px) {
  section { padding: 30px 0; }
  .os-headings h2, .op-headings h2, .og-headings h2, .ot-headings h2, .faq-heading h2, .blog-heading h2, .ts-headings h2 { font-size: 30px; line-height: 40px; padding: 0 }
  .os-headings h2:after, .op-headings h2:after, .og-headings h2:after, .ot-headings h2:after, .faq-heading h2:after, .blog-heading h2:after, .ts-headings h2:after { height: 2px; margin: 10px auto; }
  .os-headings img,.op-headings img,.og-headings img,.ot-headings img,.faq-heading img,.ts-headings img,.blog-heading img { display: none; }
  .os-headings p, .op-headings p, .og-headings p, .ot-headings p, .faq-heading p, .blog-heading p, .ts-headings p { font-size: 14px; line-height: 24px; width: 100%; max-width: 100%; text-align: justify; }
  .os-box,.op-box { padding-top: 25px; }

  /* image with Banner */
  img.left-img,img.right-img { display: none; }
  .iwt-text { width: 100%; text-align: center; margin-bottom: 20px; }
  .iwt-text h1 { font-size: 30px; line-height: 40px; letter-spacing: 0; max-width: 100% }
  .iwt-text p { font-size: 14px; line-height: 24px; padding: 10px 0; text-align: center; margin: 0; max-width: 100%; }
  .iwt-text a { font-size: 14px; width: 150px; height: 45px; margin: 0 auto; }
  .iwt-left-img{ margin-left: 0; }

  /* Our Company */
  .os-box { display: block !important; }
  h6.os-title { text-align: center; }
  .os-text p { font-size: 14px; line-height: 24px; text-align: justify; }

  /* Approch */
  img.app-top-img,.app-dot-img { display: none; }
  .approach-text { padding: 20px 0.75rem 30px; }
  .app-heading h2 { text-align: center; }
  .app-heading h5 { font-size: 36px; line-height: 40px; text-align: center; padding: 15px 0 25px; }
  .app-step-img { width: 35%; }
  .app-steps-wrap { gap: 20px; }
  .app-step-text p { font-size: 14px; max-width: 100%; }
  .app-steps ol li { margin-bottom: 20px; }

  /* Service */
  section#services { padding: 30px 0; }
  .service-main { grid-template-columns: 1fr 1fr; grid-gap: 15px; }
  .service-wrpper { grid-template-columns: 1fr; grid-gap: 10px; }
  .service-img { text-align: center; }
  .service-text h3 { font-size: 14px; line-height: 24px; letter-spacing: 1px; text-align: center; padding-bottom: 5px; }
  .service-text p { font-size: 12px; line-height: 22px; letter-spacing: 1px; text-align: justify; }

  /* Collection Banner */
  .oc-img1,.oc-img2 { display: none; }
  .oc-img { grid-template-columns: 1fr; grid-template-areas: 'a' 'b' 'c' 'd'; grid-gap: 15px; }
  .oc-left { padding: 20px 0 0; }
  .company-text h5 { text-align: center; }
  .company-text h2 { font-size: 28px; line-height: 38px; text-align: center; padding: 10px 0 0; }
  .company-text h2:after { display: none; }
  .company-text p { font-size: 14px; line-height: 24px; text-align: justify; padding-top: 10px; }
  .company-text a { font-size: 14px; max-width: 150px; height: 45px; margin: 30px auto 0; }

  /* Our Product */
  section#our-product { padding: 30px 0 30px; }

  /* Collection Banner */
  .cb-pattern-img { display: none; }
  .cb-left-text h2 { font-size: 32px; padding: 0; text-align: center; }
  .cb-left-text p { font-size: 14px; line-height: 24px; padding: 10px 0 25px; text-align: justify; max-width: 100%; }
  .cb-left-text a { font-size: 14px; max-width: 150px; height: 45px; margin: 0 auto 20px; }

  /* Our gallery */
  .gallery-wrap { padding-top: 30px; grid-template-areas: 'a' 'b' 'c' 'd'; grid-gap: 15px; }

  /* single Product */
  .sp-text { padding: 20px 0 0 0; }
  .cat-review { flex-direction: column; justify-content: center; text-align: center; align-items: center; }
  .sp-title { padding-top: 10px; text-align: center; }
  .sp-title a { font-size: 32px; line-height: 42px; }
  .sp-title p { font-size: 14px; line-height: 24px; text-align: justify; margin: 5px 0 15px; }
  .sp-prize { font-size: 16px; margin: 5px 0 20px; }
  .sp-prize span.woocommerce-Price-amount bdi { font-weight: 600; line-height: 30px; }

  /* Our Team */
  .team-wrap { margin-top: 30px; padding: 30px 15px 20px; }

  /* special offer */
  .so-product { padding: 20px 20px; grid-template-columns: 1fr; grid-gap: 10px; }
  .so-in-wrapper { grid-template-columns: 1fr; grid-gap: 15px; }
  .so-text { order: 1; }
  p.so-fd { text-align: center; }
  .so-title { font-size: 32px; text-align: center; padding: 15px 0 20px; }
  .product-tags { text-align: center; }
  .so-prize { padding: 10px 0 20px; text-align: center; }
  .so-text .buy-now { margin: 0 auto; }

  /* FAQ */
  img.faq-p-img{ display: none; }
  div#accordionExample { display: grid; grid-template-columns: 1fr; grid-gap: 15px; padding-top: 30px; }
  button.accordion-button { padding: 1rem; font-size: 14px; line-height: 24px; }
  button.accordion-button:after { font-size: 16px; width: 30px; height: 30px; }
  .panel-body p { font-size: 14px; padding: 1rem 15px; text-align: justify; }

  /* Testimonial */
  .testimonials-content.tablet, .testimonials-content.desktop,.testi-pattern-img,.testi-content-head img ,img.testi-end-img{ display: none; }
  .testimonials-content.mobile { display: block; }
  .ts-headings { padding: 0 0.75rem; margin-bottom: 3rem; }
  .testi-content-head { width: 100%; top: -60px; }
  .testi-content-head h4 { font-size: 26px; line-height: 30px; text-align: center; }
  .testi-content-head p { font-size: 14px; line-height: 30px; text-align: center; }
  li.testi-wrap { width: 100%; grid-gap: 0; margin: 0; display:block; }
  .testi-text p { font-size: 14px; line-height: 24px; }
  h4.ttesti-author { font-size: 16px; line-height: 24px; padding-top: 0 }
  p.testi-designation { font-size: 14px; line-height: 24px; }
  .testi-card.card-plain { width: 300px; height: 300px; margin: 30px auto 0; }
  .testimonials-content ul .owl-nav { margin-top: 30px; display: flex; justify-content: space-evenly; }
  .testimonials-content .owl-nav .owl-prev, .testimonials-content .owl-nav .owl-next { width: 35px; height: 35px; margin: 0; }
  .testi-content { padding: 20px; }
  .testimonial-wrap { padding-bottom: 30px; }

  /* Blog */
  .foot_icon_img { display: none; }
  .blog-title { text-align: center; }
  .blog-img-down { justify-content: center; }
  .blog-text { justify-content: center; }
  .blog-text p { width: 100%; font-size: 14px; }
  a.blog-button { bottom: -18px; right: 95px; }
  a.blog-all { font-size: 14px; line-height: 24px; width: 150px; height: 45px; margin: 30px auto 0; }

}
